%global momorel 2
Summary: Personality setter
Name: setarch
Version: 1.8
Release: %{momorel}m
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Kernel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This utility tells the kernel to report a different architecture than the 
current one, then runs a program in that environment. It can also set various
personality flags.

%prep
%setup -q

%build
%{__cc} -o setarch setarch.c %{optflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man8
install -m444 setarch.8 %{buildroot}%{_mandir}/man8
install -m555 setarch %{buildroot}%{_bindir}

LINKS="linux32"
%ifarch s390 s390x
LINKS="$LINKS s390 s390x"
%endif
%ifarch x86_64 i586 i686
LINKS="$LINKS i586 i686 x86_64"
%endif
%ifarch ppc ppc64
LINKS="$LINKS ppc ppc64 ppc32"
%endif
%ifarch sparc sparc64
LINKS="$LINKS sparc sparc64 sparc32"
%endif
%ifarch ia64
LINKS="$LINKS i586 i686 ia64"
%endif
for I in $LINKS; do 
	ln %{buildroot}%{_bindir}/setarch %{buildroot}%{_bindir}/$I
	echo ".so setarch.8" > %{buildroot}%{_mandir}/man8/$I.8
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man8/*
#%%{_mandir}/man8/*.8*

%changelog
* Wed Jan 18 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8-2m)
- import to Momonga from FC

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Jun 30 2005 Jindrich Novy <jnovy@redhat.com> 1.8-1
- fix possible segfault when parsing unknown arguments (#161975)
- print wanings when unknown arguments are passed
- add FDPIC_FUNCPTRS personality

* Mon May  9 2005 Bill Nottingham <notting@redhat.com> 1.7-3
- don't strip binary, fixes debuginfo generation

* Mon Mar 07 2005 Jindrich Novy <jnovy@redhat.com> 1.7-2
- rebuilt with gcc4

* Fri Feb 04 2005 Jindrich Novy <jnovy@redhat.com> 1.7-1
- Add '-R' option for ADDR_NO_RANDOMIZE
  (patch from Arjan van de Ven)
- Minor code cleanup

* Wed Nov 03 2004 Elliot Lee <sopwith@redhat.com> 1.6-1
- More properly interpret the return value of SYS_personality

* Tue Oct 12 2004 Jindrich Novy <jnovy@redhat.com> 1.5-1
- Add various personality options #130511
- Update man page

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 24 2004 Elliot Lee <sopwith@redhat.com> 1.4-1
- Fix man page - #115552

* Wed Jan 14 2004 Elliot Lee <sopwith@redhat.com> 1.3-2
- Rebuild

* Tue Sep 02 2003 Elliot Lee <sopwith@redhat.com> 1.3-1
- Add linux32 alias

* Tue Aug 26 2003 Elliot Lee <sopwith@redhat.com> 1.2-1
- Fix -3 option

* Wed Aug 13 2003 Elliot Lee <sopwith@redhat.com> 1.1-1
- Add -3 option

* Wed Jun 11 2003 Elliot Lee <sopwith@redhat.com>
- Initial build.
